<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)

$startTime = microtime(true);
set_time_limit(5);

$libPath = '../unb_lib/';
#require_once($libPath . 'unb_all.lib.php');
if (!class_exists('UnbMarkup')) require_once($libPath . 'markup.class.php');
if (!class_exists('UnbCaptcha')) require_once($libPath . 'captcha.class.php');
if (!class_exists('UnbUi')) require_once($libPath . 'ui.class.php');

// Settings file name is relative to the UNB library source files
UnbUi::Init('../unb_config.inc.php');

if (!defined('NOHTML'))
{
	header('Content-Type: text/html; charset=utf-8');
	?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
<title>UNB2 Demo Application</title>
<link rel="stylesheet" type="text/css" href="common.css" />
<link rel="stylesheet" type="text/css" href="markup.css" />
<!--[if IE]><link rel="stylesheet" type="text/css" href="common_ie.css" /><![endif]-->
<script src="dynamic-complete.js" type="text/javascript"></script>
</head>
<body>

<div class="head">
<div class="logo">
UNB2 Demo Application
</div>

<div style="float: right;">
<?php
$sessionUser = UnbSession::GetSessionUser();
if (isset($sessionUser))
{
	echo 'Logged in as: <strong>' .
		htmlspecialchars($sessionUser->GetDisplayName()) .
		'</strong>';
	$statusStr = '';
	if ($sessionUser->IsAdministrator())
		$statusStr .= ($statusStr ? ', ' : '') . 'Admin';
	if ($sessionUser->IsModerator())
		$statusStr .= ($statusStr ? ', ' : '') . 'Mod';
	if ($sessionUser->IsTrusted())
		$statusStr .= ($statusStr ? ', ' : '') . 'Trusted';
	if ($statusStr)
		echo ' <small>(' . $statusStr . ')</small>';
	if (!strlen($sessionUser->GetLoginName()) ||
		!strlen($sessionUser->GetLoginPassword()))
	{
		echo ' &nbsp;–&nbsp; <a href="logout_warning.php">Log out (warning)</a>';
	}
	else
	{
		echo ' &nbsp;–&nbsp; <a href="login.php?action=logout&amp;urlkey=' . UnbSession::GetUrlKey() . '">Log out</a>';
	}
}
else
{
	echo 'Not logged in';
	echo ' &nbsp;–&nbsp; <a href="login.php">Log in or register</a>';
}
?>
</div>

<div>
<a href="index.php">Start page</a> &nbsp;–&nbsp;
<a href="list_deps.php">Discussions</a> &nbsp;–&nbsp;
<a href="list_tags.php">Tags</a> &nbsp;–&nbsp;
<?php
if (UnbSession::IsLoggedIn())
{
	?>
	<a href="alter_user.php?userid=<?php echo UnbSession::GetSessionUserId() ?>">My account</a> &nbsp;–&nbsp;
	<?php
}
?>
<a href="list_users.php">Users</a>
</div>
<div style="clear: both;"></div>
</div>

<?php
} // if (!defined('NOHTML'))
?>