<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

// ----- Handle form requests and status messages -----
if (UnbUi::IsFormSuccess())
{
	UnbSession::SetVar('SuccessMessage', 'User created');
	UnbUi::RedirectAndExit('list_users.php');
}
if (UnbUi::IsFormError())
{
	UnbUi::ReportError(UnbUi::GetFormErrorMessage());
}
if (!UnbSession::IsLoggedIn())
{
	UnbUi::ReportError('Access denied');
}
else
{
	?>
	<h1>Create a new user</h1>

	<?php UnbUi::BeginForm() ?>
	<input type="hidden" name="action[]" value="create_user" />

	<table cellspacing="0" class="grid">
	<tr>
		<td>Display name:</td>
		<td><?php UnbUi::UserDisplayName() ?></td>
		<td class="form-description">This name will be displayed above your messages.</td>
	</tr>
	<tr>
		<td>Login name:</td>
		<td><?php UnbUi::UserLoginName() ?></td>
		<td class="form-description">The login name is used for logging into the system and is independent from the display name.<br />
			It should contain letters and numbers only, no special or local characters or spaces.</td>
	</tr>
	<tr>
		<td>Password:</td>
		<td><?php UnbUi::UserLoginPassword() ?></td>
		<td class="form-description">Keep this password in confidence and don’t give it away to anybody.</td>
	</tr>
	<tr>
		<td>Repeat password:</td>
		<td><?php UnbUi::UserRepeatPassword() ?></td>
		<td class="form-description">To avoid typing errors, enter the password for a second time.</td>
	</tr>
	<?php
	if (UnbSession::IsAdministrator())
	{
		?>
		<tr>
			<td>Special privileges:</td>
			<td>
				<?php UnbUi::UserAdministrator() ?><br />
				<?php UnbUi::UserModerator() ?><br />
				<?php UnbUi::UserTrusted() ?><br />
			</td>
		</tr>
		<tr>
			<td>Additional keys:</td>
			<td><?php UnbUi::UserAdditionalKeysList() ?></td>
			<td class="form-description">List of keys that the user can use to gain access, one per line.</td>
		</tr>
		<?php
	}
	?>
	<tr>
		<td></td>
		<td colspan="2">
			<br />
			<input type="submit" class="default icon13 ok" value="Create user" /> &nbsp;
			<a href="list_users.php" class="buttonlike icon13 back">Back to users list</a>
		</td>
	</tr>
	</table>
	<?php UnbUi::EndForm() ?>

	<script type="text/javascript">//<![CDATA[
	$("#userDisplayNameTb").focus();
	//]]></script>

	<?php
}
require('_foot.inc.php');
?>