<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

// ----- Handle form requests and status messages -----
if (UnbUi::IsFormSuccess())
{
	UnbUi::RedirectAndExit('index.php');
}
if (UnbUi::IsFormError())
{
	UnbUi::ReportError(UnbUi::GetFormErrorMessage());
}
if ($msg = UnbSession::GetVar('SuccessMessage', true))
{
	UnbUi::ReportSuccess($msg);
}

$messageId = intval($_REQUEST['messageid']);

$msg = UnbMessage::FindByMessageId($messageId);
if (!isset($msg))
{
	UnbUi::ReportError('Invalid message ID');
}
else
{
	$revs = $msg->GetAllRevisions();
	if (!isset($revs))
	{
		UnbUi::ReportError('Internal error: No revisions found');
	}
	else
	{
		$searchRev = $msg->GetSearchRevision(UnbMessageRevisionContentLevel::NoContent);

		foreach ($revs as $rev)
		{
			if ($rev->GetRevisionNumber() == $searchRev->GetRevisionNumber()) echo '*';

			echo '<a href="view_message.php?messageid=' . $messageId . '&amp;revisionnumber=' . $rev->GetRevisionNumber() . '">Revision ' . $rev->GetRevisionNumber() . '</a> ' .
				'by <strong>' . $rev->GetAuthorUser()->GetDisplayName() . '</strong>, ' .
				'<span title="' . UnbUi::DateTime($rev->GetCreatedTime(), true, true) . '">' . UnbUi::RelativeTime($rev->GetCreatedTime()) . '</span>';

			echo ' &nbsp;–&nbsp; ';
			if ($rev->GetContentLevel() >= UnbMessageRevisionContentLevel::Subject)
			{
				if (strlen($rev->GetSummary()))
					echo htmlspecialchars($rev->GetSummary());
				else
					echo '<em>No summary available</em>';
			}
			else
			{
				echo '<em>No summary accessible</em>';
			}

			$tags = $rev->GetTags(true);
			if ($tags)
			{
				echo ' &nbsp; ';
				foreach ($tags as $tag)
				{
					echo '<span class="tag">';
					echo $tag->GetTagName();
					if (($tag->GetFlags() & UnbTagFlag::UserData) && ($tag->GetTagData() != null))
						echo ': ' . htmlspecialchars($tag->GetTagData());
					echo '</span> ';
				}
			}

			if ($rev->GetModerationState() == UnbMessageRevisionModerationState::WaitingForApproval)
			{
				echo ' &nbsp; <span class="modwarning">This message revision is waiting for approval.</span>';
			}
			elseif ($rev->GetModerationState() == UnbMessageRevisionModerationState::Locked)
			{
				echo ' &nbsp; <span class="modwarning">This message revision has been locked by a moderator.</span>';
			}

			echo '<br />';
		}

		echo '<br />*) This is the current search revision of this message.';
	}
}

require('_foot.inc.php');
?>