<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

if ($msg = UnbSession::GetVar('SuccessMessage', true))
{
	UnbUi::ReportSuccess($msg);
}
?>

<h1>Users list</h1>

<?php
try
{
	$users = UnbUser::Find();
	echo '<table cellspacing="0" class="grid">';
	foreach ($users as $user)
	{
		echo '<tr><td>';
		if ($user->GetUserId() == UnbSession::GetSessionUserId() || UnbSession::IsAdministrator())
			echo '<a href="alter_user.php?userid=' . $user->GetUserId() . '">';
		else
			echo '<a href="view_user.php?userid=' . $user->GetUserId() . '">';
		echo htmlspecialchars($user->GetDisplayName());
		echo '</a>';
		echo '</td><td>';
		$statusStr = '';
		if ($user->IsAdministrator())
			$statusStr .= ($statusStr ? ', ' : '') . 'Admin';
		if ($user->IsModerator())
			$statusStr .= ($statusStr ? ', ' : '') . 'Mod';
		if ($user->IsTrusted())
			$statusStr .= ($statusStr ? ', ' : '') . 'Trusted';
		if ($statusStr)
			echo '<small>(' . $statusStr . ')</small>';
		#echo '</td><td>';
		#echo '<small>(#' . $user->GetUserId() . ')</small>';
		echo '</td></tr>';
	}
	echo '</table>';
}
catch (UnbSecurityException $ex)
{
	UnbUi::ReportError($ex);
}

if (UnbSession::IsAdministrator())
	echo '<p><a href="create_user.php" class="buttonlike icon13 create">Create a new user</a></p>';
?>

<?php
require('_foot.inc.php');
?>