<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

$messageId = intval($_REQUEST['messageid']);
$revNum = intval($_REQUEST['revisionnumber']);

// ----- Handle form requests and status messages -----
if (UnbUi::IsFormSuccess())
{
	if (UnbUi::GetFormHandlerFields('moderate_messagerevision', 'success') !== null)
	{
		if ($_REQUEST['message_modstate'] == UnbMessageRevisionModerationState::Approved)
			UnbSession::SetVar('SuccessMessage', 'Message revision approved/unlocked');
		if ($_REQUEST['message_modstate'] == UnbMessageRevisionModerationState::Locked)
			UnbSession::SetVar('SuccessMessage', 'Message revision locked');
	}
	UnbUi::RedirectAndExit('view_message.php?messageid=' . $messageId . '&revisionnumber=' . $revNum);
}
if (UnbUi::IsFormError())
{
	UnbUi::ReportError(UnbUi::GetFormErrorMessage());
}
if ($msg = UnbSession::GetVar('SuccessMessage', true))
{
	UnbUi::ReportSuccess($msg);
}

// ----- Load the message revision -----
if (!UnbUi::GetMsgRev($messageId, $revNum, $msg, $rev, $err, true))
{
	UnbUi::ReportError($err);
}
else
{
	$markup = new UnbMarkup();

	echo '<div class="left-column">';
	echo 'Messages in this discussion:';
	UnbUi::MsgTree($msg->GetRefDEP(), $messageId);
	echo '</div>';

	echo '<div class="actions">';
	if ($msg->GetOwnerUser()->IsAdministrator())
		echo 'Author is an administrator.<br />';
	if ($msg->GetOwnerUser()->IsModerator())
		echo 'Author is a moderator.<br />';
	if ($msg->IsAlterAllowed() || UnbSession::IsAdministrator() || UnbSession::GetSessionUserId() == $msg->GetOwnerUserId())
		echo '<a href="alter_message.php?messageid=' . $messageId . '">Alter this message</a><br />';
	if ($msg->IsReplyAllowed())
		echo '<strong><a href="create_message.php?replyto=' . $messageId . '">Reply to this message</a></strong><br />';
	echo '<a href="list_revisions.php?messageid=' . $messageId . '">List all revisions</a><br />';
	if (UnbSession::IsModerator())
	{
		echo '<br /><em>Moderation:</em><br />';
		UnbUi::MsgApproveRevLink($rev, '<a href="view_message.php?%s">Approve this revision</a><br />');
		UnbUi::MsgLockRevLink($rev, '<a href="view_message.php?%s">Lock this revision</a><br />');
		UnbUi::MsgUnlockRevLink($rev, '<a href="view_message.php?%s">Unlock this revision</a><br />');
	}
	echo '<br /><em>Rating:</em><br />';
	UnbUi::MsgRateLink($msg, '<a href="view_message.php?%s">&minus;&minus;</a> &nbsp; ', -10);
	UnbUi::MsgRateLink($msg, '<a href="view_message.php?%s">&minus;</a> &nbsp; ', -5);
	UnbUi::MsgRateLink($msg, '<a href="view_message.php?%s">+</a> &nbsp; ', 5);
	UnbUi::MsgRateLink($msg, '<a href="view_message.php?%s">++</a> &nbsp; ', 10);
	UnbUi::MsgClearRatingLink($msg, '<a href="view_message.php?%s">clear</a>');
	echo '</div>';

	echo '<div class="right-column">';
	$flags = $msg->GetModerationFlags();

	if ($rev->GetContentLevel() >= UnbMessageRevisionContentLevel::Subject)
	{
		if (strlen($rev->GetSubject()))
		{
			echo '<h1>' . htmlspecialchars($rev->GetSubject()) . '</h1>';
		}
		else
		{
			echo '<h1><em>No subject set</em></h1>';
		}
	}
	else
	{
		echo '<h1><em>No subject accessible</em></h1>';
	}

	$tags = $rev->GetTags(true);
	if ($tags)
	{
		echo '<div style="margin-bottom: 0.6em;">';
		$count = 0;
		foreach ($tags as $tag)
		{
			#if ($count++) echo ', ';
			echo '<span class="tag">';
			echo $tag->GetTagName();
			if (($tag->GetFlags() & UnbTagFlag::UserData) && ($tag->GetTagData() != null))
				echo ': ' . htmlspecialchars($tag->GetTagData());
			echo '</span> ';
		}
		echo '</div>';
	}

	$rating = $msg->GetRating();
	if ($rating[0] > 0)
	{
		echo '<div style="margin-bottom: 0.6em;">Average rating: ' . $rating[2] . ' (from ' . $rating[0] . ' ratings)</div>';
	}

	echo '<div class="infoline">';
	echo 'by <strong>' . $msg->GetOwnerUser()->GetDisplayName() . '</strong>';
	echo ' &nbsp;–&nbsp; <span title="' . UnbUi::DateTime($msg->GetCreatedTime(), true, true) . '">' . UnbUi::RelativeTime($msg->GetCreatedTime()) . '</span>';
	if ($rev->GetCreatedTime() != $msg->GetCreatedTime())
		echo ' &nbsp;–&nbsp; Revision ' . $rev->GetRevisionNumber() . ', updated <span title="' . UnbUi::DateTime($rev->GetCreatedTime(), true, true) . '">' . UnbUi::RelativeTime($rev->GetCreatedTime()) . '</span>';
	echo '</div>';

	if ($msg->GetSearchRevisionNumber() > $rev->GetRevisionNumber())
	{
		echo '<div class="modwarning">This is not the latest available revision of this message.</div>';
	}
	if ($flags & UnbMessageModerationFlag::Hidden)
	{
		echo '<div class="modwarning">This message has been hidden by a moderator.</div>';
	}
	if ($flags & UnbMessageModerationFlag::Locked)
	{
		echo '<div class="modwarning">This message has been locked by a moderator.</div>';
	}
	if ($rev->GetModerationState() == UnbMessageRevisionModerationState::WaitingForApproval)
	{
		echo '<div class="modwarning">This message revision is waiting for approval.</div>';
	}
	elseif ($rev->GetModerationState() == UnbMessageRevisionModerationState::Locked)
	{
		echo '<div class="modwarning">This message revision has been locked by a moderator.</div>';
	}

	$readAccessKeys = $msg->GetEffectiveReadAccessKeys();
	if (isset($readAccessKeys))
	{
		$userNames = UnbUi::GetUserList($readAccessKeys);
		echo '<div class="modwarning">Read access for: ' . str_replace("\n", ', ', $userNames) . '</div>';
	}

	if ($rev->GetContentLevel() >= UnbMessageRevisionContentLevel::HtmlContent)
	{
		$html = $rev->GetHtmlContent();
		#$html = null;
		if (!isset($html))
		{
			if ($rev->GetContent() !== null)
			{
				$html = $markup->Convert($rev->GetContent());
				try
				{
					$rev->SetHtmlContent($html);
				}
				catch (Exception $ex) { }   // Ignore errors here
			}
			else
			{
				$html = '';   // Empty contents should always be empty HTML
			}
		}
		$html = $markup->PostProcess($html);
		if (strlen($html) > 0)
		{
			echo '<div class="markup" style="margin-top: 1em;">' . $html . '</div>';
		}
		else
		{
			echo '<p><em>The message is empty.</em></p>';
		}
	}
	else
	{
		echo '<div class="modwarning">Content not accessible.</div>';
	}

	if ($rev->HasFileData())
	{
		try
		{
			$size = $rev->GetFileDataLength() . ' bytes';

			echo '<p>There is additional data attached:
				<a href="get_data.php?messageid=' . $messageId . '&amp;revision=' . $rev->GetRevisionNumber() . '">Download</a> (' . $size . ')</p>';
		}
		catch (Exception $ex)
		{
			echo '<p style="color: red;">There is a problem with the attached data: ' . $ex->getMessage() . '</p>';
		}
	}

	$flags_str = '';
	if ($flags & UnbMessageModerationFlag::EnforceApproval) $flags_str .= ' EnforceApproval';
	if ($flags_str)
		echo '<p><small>Flags: ' . trim($flags_str) . '</small></p>';

	echo '</div>';
}

require('_foot.inc.php');
?>