<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

$user = UnbUser::FindByUserId(intval($_REQUEST['userid']));
if (!isset($user))
{
	UnbUi::ReportError('Invalid user ID');
}
else
{
	?>
	<h1>View user information</h1>

	<table cellspacing="0" class="grid first-10em">
	<tr>
		<td>Display name:</td>
		<td>
			<?php echo htmlspecialchars($user->GetDisplayName()) ?>
		</td>
	</tr>
	<tr>
		<td>Creation time:</td>
		<td>
			<span title="<?php echo UnbUi::DateTime($user->GetCreatedTime(), false, true) ?>"><?php echo UnbUi::RelativeTime($user->GetCreatedTime()) ?></span>
		</td>
	</tr>
	<tr>
		<td>Last login time:</td>
		<td>
			<span title="<?php echo UnbUi::DateTime($user->GetLastLoginTime(), false, true) ?>"><?php echo UnbUi::RelativeTime($user->GetLastLoginTime()) ?></span>
		</td>
	</tr>
	<tr>
		<td>Rating:</td>
		<td>
			<?php
			$rating = $user->GetMessagesRating();
			if ($rating[0] > 0)
				echo $rating[2] . ' (from ' . $rating[0] . ' ratings with an average weight of ' . ($rating[1] / $rating[0]) . ')';
			else
				echo '<em>(No ratings yet)</em>';
			?>
		</td>
	</tr>
	<tr>
		<td>Special privileges:</td>
		<td>
			<?php
			$statusStr = '';
			if ($user->IsAdministrator())
				$statusStr .= ($statusStr ? ', ' : '') . 'Administrator';
			if ($user->IsModerator())
				$statusStr .= ($statusStr ? ', ' : '') . 'Moderator';
			if ($user->IsTrusted())
				$statusStr .= ($statusStr ? ', ' : '') . 'Trusted user';
			if ($statusStr)
				echo $statusStr;
			else
				echo '<em>(None assigned)</em>';
			?>
		</td>
	</tr>
	<tr>
		<td>Additional keys:</td>
		<td>
			<?php
			$additionalKeysList = UnbUi::GetUserAdditionalKeys($user);
			if (strlen($additionalKeysList))
				echo nl2br(htmlspecialchars($additionalKeysList));
			else
				echo '<em>(None assigned)</em>';
			?>
		</td>
	</tr>
	<?php
	$vcardEntries = $user->GetVcardEntries();
	if (count($vcardEntries))
	{
		/*
		?>
		<tr>
			<td colspan="3">
				<h2>VCard entries</h2>
			</td>
		</tr>
		<?php
		*/
		foreach ($vcardEntries as $type => $entry)
		{
			?>
			<tr>
				<td><?php echo htmlspecialchars($type) ?>:</td>
				<td>
					<?php
					echo htmlspecialchars($entry['Data']);
					switch ($entry['Visibility'])
					{
						case UnbUserVcardVisibility::Internal:
							echo ' &nbsp; <small>(Internal)</small>';
							break;
						case UnbUserVcardVisibility::Confidential:
							echo ' &nbsp; <small>(Confidential)</small>';
							break;
						case UnbUserVcardVisibility::Private_:
							echo ' &nbsp; <small>(Private)</small>';
							break;
					}
					?>
				</td>
			</tr>
			<?php
		}
	}
	?>
	</table>

	<?php
}

require('_foot.inc.php');
?>