<?php
// UNB Components
// Copyright 2007-2010 by Yves Goergen
// Website: http://unclassified.de/go/unb2
// Licence: GNU General Public License (GPL) Version 3
//
// This file contains the UNB class and Exception classes.

// General UNB class that contains common functions and groups them in a separate "namespace".
//
class UNB
{
} // class UNB

// The database exception is meant to be used for errors in the database layer, like invalid or
// failed SQL queries or database connection problems.
//
class UnbDatabaseException extends Exception
{
} // class UnbDatabaseException

// The security exception is meant to be used for security-related errors, like when an operation
// should be performed but the user is not logged in or does not have the required privileges.
//
class UnbSecurityException extends Exception
{
} // class UnbSecurityException

// Abstract base class of methods that are common to database entity classes.
//
abstract class UnbEntity
{
	// Base method for subclasses' FromRecord methods.
	//
	protected static function FromRecord($rec)
	{
	}
}

class UnbDebug
{
	public static function Trace($text)
	{
		$text = date('Y-m-d H:i:s ') . $text . "\n";
		file_put_contents(dirname(__FILE__) . '/unb.trace', $text, FILE_APPEND);
	}
}

?>